# Get-RASProviderStatus.md

## NAME

Get-RASProviderStatus

## SYNOPSIS

Retrieves the Provider status information.

## SYNTAX

**Get-RASProviderStatus** \[[Id](#id-string)] *(uint)* \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASProviderStatus \[-[InputObject](#inputobject)] *(*[*Provider*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/provider.md)*)* \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASProviderStatus \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Provider status information and optionally desktop VM and application info.

## PARAMETERS

## Server (string)

The name of the Provider server for which to retrieve the information.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified Provider server information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Provider server. To obtain the ID, use the Get-RASProvider cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Provider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/provider.md))

An object of type Provider representing a Provider server for which to retrieve the information.

To obtain the object, use the Get-RASProvider cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## StatusLevel ([StatusLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/statuslevel.md))

Specifies the level of detail that should be returned.

Acceptable values: Level1 (Provider status information only), Level2 (Provider status and Desktop VM info), Level3 (Provider status, Desktop VMs, Applications).

Possible values: Level1, Level2, Level3

```
        Required?                    false

        Position?                    named

        Default value                Level1

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Provider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/provider.md)

## OUTPUTS

[ProviderSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/providersysinfo.md)

[ProviderSysInfoHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/providersysinfohost.md)

[ProviderSysInfoHostApp](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/providersysinfohostapp.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASProviderStatus -Id 15

Retrieves the Provider status information for the Provider server with ID 15.\
\*\*---------- EXAMPLE 2 ----------

Get-RASProviderStatus -Server MyProvider -StatusLevel Level2

Retrieves the Provider status and the desktop VM information for the server named "MyProvider".\
\*\*---------- EXAMPLE 3 ----------

Get-RASProviderStatus -InputObject $Provider -StatusLevel Level3

Retrieves the Provider status, desktop VM, and application information for the server represented by the $Provider object.\
\*\*---------- EXAMPLE 4 ----------

Get-RASProvider -Id 15 | Get-RASProviderStatus -StatusLevel Level1

Retrieves the Provider status information for the server represented by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasprovider.md)
* [Get-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprovider.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasproviderstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
